Modify

Opened 3 years ago

Closed 3 years ago

#19562 closed defect (wontfix)

Luci luci-app-openvpn missing dependency openvpn

Reported by: anonymous Owned by:
Priority: normal Milestone:
Component: luci Version: Trunk
Keywords: Cc:

Description

When building luci with openvpn support, choosing luci-app-openvpn does not enable openvpn as an dependency. Other luci functionalities have a dependency on the tools they are adding support for.

Attachments (0)

Change History (3)

comment:1 Changed 3 years ago by jogo

  • Resolution set to not_a_bug
  • Status changed from new to closed

There are three different openvpn packages with different capabilities, depending on one of them will be detrimental for those that need a different one.

comment:2 Changed 3 years ago by anonymous

  • Resolution not_a_bug deleted
  • Status changed from closed to reopened

I guess the same can be said of dnsmask. three diferent versions but one of them is selected by default. why not go easy on users and simply make it depend on one of them. If the user needs it can change it later.

comment:3 Changed 3 years ago by jow

  • Resolution set to wontfix
  • Status changed from reopened to closed

The problem is that a hard dependency will remove the associated luci package if a user decides to install another openvpn flavor. The dnsmasq case is different as nothing actually requires it, dependency wise. It just happens to be in the default-enable packages list of the buildroot.

Add Comment

Modify Ticket

Action
as closed .
The resolution will be deleted. Next status will be 'reopened'.
Author


E-mail address and user name can be saved in the Preferences.

 
Note: See TracTickets for help on using tickets.